package com.ktg.iscs.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ktg.iscs.domain.IsCheckTask;

import java.util.List;

/**
 * 检查任务Service接口
 *
 * @author cgj
 * @date 2024-12-12
 */
public interface IIsCheckTaskService extends IService<IsCheckTask>
{
    /**
     * 查询检查任务
     *
     * @param checkId 检查任务主键
     * @return 检查任务
     */
    IsCheckTask selectIsCheckTaskByCheckId(Long checkId);

    /**
     * 查询检查任务列表
     *
     * @param isCheckTask 检查任务
     * @return 检查任务集合
     */
    List<IsCheckTask> selectIsCheckTaskList(IsCheckTask isCheckTask);

    /**
     * 新增检查任务
     *
     * @param isCheckTask 检查任务
     * @return 结果
     */
    int insertIsCheckTask(IsCheckTask isCheckTask);

    /**
     * 修改检查任务
     *
     * @param isCheckTask 检查任务
     * @return 结果
     */
    int updateIsCheckTask(IsCheckTask isCheckTask);

    /**
     * 批量删除检查任务
     *
     * @param checkIds 需要删除的检查任务主键集合
     * @return 结果
     */
    int deleteIsCheckTaskByCheckIds(String checkIds);

    /**
     * 删除检查任务信息
     *
     * @param checkId 检查任务主键
     * @return 结果
     */
    int deleteIsCheckTaskByCheckId(Long checkId);

    Boolean checkMaterialsCabinet(Long checkId);
}
